aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-websockets/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2016-12-28 15:41:55 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-12-28 19:20:01 +0200
commit30693297afc4818b64cdc72f88b0b893563dce09 (patch)
tree40ab9b4f971306dbe2b16410c4f4937b8efc80fc /testing/py3-websockets/APKBUILD
parentabe7cff90ecccc34e872c21146aa1beb186b0d67 (diff)
downloadaports-30693297afc4818b64cdc72f88b0b893563dce09.tar.bz2
aports-30693297afc4818b64cdc72f88b0b893563dce09.tar.xz
testing/py3-websockets: new aport
An implementation of the WebSocket Protocol (RFC 6455) https://websockets.readthedocs.io
Diffstat (limited to 'testing/py3-websockets/APKBUILD')
-rw-r--r--testing/py3-websockets/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/py3-websockets/APKBUILD b/testing/py3-websockets/APKBUILD
new file mode 100644
index 0000000000..d066a8c26e
--- /dev/null
+++ b/testing/py3-websockets/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py3-websockets
+_pkgname=websockets
+pkgver=3.2
+pkgrel=0
+pkgdesc="An implementation of the WebSocket Protocol (RFC 6455)"
+url="https://websockets.readthedocs.io"
+arch="noarch"
+license="BSD"
+makedepends="python3-dev"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="c1842c03d14169082e065a109fe1cb2c websockets-3.2.tar.gz"
+sha256sums="b536827d433a79e85108becdac0b0909e7ce02c3613df53da6d96aee950b50b5 websockets-3.2.tar.gz"
+sha512sums="fc8e3318139174faf6f6fc3065ecec536d8ebc5d328081c82371bfaf7538a4e67c43d5460d06852191532b105c0494adf7b18fd36ec55772d552f83737e25c1c websockets-3.2.tar.gz"